Description

"The PRS-7741 relay is a numerical Bay Control Unit (abbreviated as BCU) which can be used in various voltage level, ranging from

1000KV to 10kV.

PRS-7741 is specifically designed for monitoring and controlling all types of apparatus in power systems, including circuit breaker,
disconnector, earthing switch, etc. Additionally, it is integrated with tap changer control functions for transformer and shunt reactor as

08/16/2025

1/2




well."

History

#1 - 07/21/2025 10:07 AM - Herbert Falk
- Product Variants changed from F4800S52110-4U0-4 to F4800S2110-4U0-4

#2 - 07/26/2025 07:24 AM - Herbert Falk

- HW Version changed from SR7260 to SR7267

- Serial Number set to CYSR3020000000218496

- Product Variants changed from F4800S2110-4U0-4 to F4800S210-4U0-4
- Publisher Legacy Variants - added

- Publisher Legacy Variants deleted (F4000S114U4, F4800S114U4)

- Publisher Preferred Rates deleted (none)

#3 - 07/29/2025 07:02 AM - Herbert Falk
- Standards Tested 61850-9-2 added
